osg::ConvexPlanarPolygon Class Reference

`#include <ConvexPlanarPolygon>`

## Public Types

typedef std::vector< osg::Vec3 > | VertexList

## Public Member Functions

| ConvexPlanarPolygon ()
void | add (const Vec3 &v)
void | setVertexList (const VertexList &vertexList)
VertexList & | getVertexList ()
const VertexList & | getVertexList () const

## Protected Attributes

VertexList | _vertexList

## Detailed Description

A class for representing components of convex clipping volumes.

## Member Typedef Documentation

## VertexList

typedef std::vector<osg::Vec3> osg::ConvexPlanarPolygon::VertexList

## Constructor & Destructor Documentation

## ConvexPlanarPolygon()

osg::ConvexPlanarPolygon::ConvexPlanarPolygon | ( |  | ) |

## Member Function Documentation

## add()

void osg::ConvexPlanarPolygon::add | ( | const Vec3 & | v | ) |

inline

References _vertexList.

## getVertexList() [1/2]

VertexList & osg::ConvexPlanarPolygon::getVertexList | ( |  | ) |

inline

References _vertexList.

## getVertexList() [2/2]

const VertexList & osg::ConvexPlanarPolygon::getVertexList | ( |  | ) | const

inline

References _vertexList.

## setVertexList()

void osg::ConvexPlanarPolygon::setVertexList | ( | const VertexList & | vertexList | ) |

inline

References _vertexList.

## Member Data Documentation

## _vertexList

VertexList osg::ConvexPlanarPolygon::_vertexList

protected

Referenced by add(), getVertexList(), getVertexList(), and setVertexList().

The documentation for this class was generated from the following file:

- ConvexPlanarPolygon